# coding=utf-8

import django_filters
from apps.tenant.models import Tenant


class TenantFilter(django_filters.FilterSet):
    company_no = django_filters.CharFilter(field_name='company_no', lookup_expr='icontains')
    company_name = django_filters.CharFilter(field_name='company_name', lookup_expr='icontains')
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')

    class Meta:
        model = Tenant
        fields = '__all__'
